%define pname     skinenigmang
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.0.6
Release:        11
Epoch:		1
Summary:        "EnigmaNG" is a standalone skin based on the "Enigma" text2skin addon

Group:          Multimedia/VDR
License:        GPL
URL:            http://andreas.vdr-developer.org/enigmang/
Source0:        %{name}-%{version}.tgz
Source1:	skinenigmang-logos-xpm-hi-20070702.tgz
Source2:	skinenigmang-channellogos-xpm-hi-20070702.tgz
Source3:	skinenigmang-fonts-20080225.tgz
Source200:	vdr-skinenigmang.runvdr
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
"EnigmaNG" is a standalone skin based on the "Enigma" text2skin addon

%prep
%setup -q -n skinenigmang-%{version}
#%patch0
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile
#sed -i -e s/#HAVE_IMAGEMAGICK\ =\ 1/HAVE_IMAGEMAGICK\ =\ 1/g Makefile
sed -i -e s/#HAVE_FREETYPE\ =\ 1/HAVE_FREETYPE\ =\ 1/g Makefile


%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -dm 755 $RPM_BUILD_ROOT%_sysconfdir/vdr/themes
install -dm 755 $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -pm 755 themes/* $RPM_BUILD_ROOT%_sysconfdir/vdr/themes
tar xvfz %{SOURCE1} -C $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins
tar xvfz %{SOURCE2} -C $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins
tar xvfz %{SOURCE3} -C $RPM_BUILD_ROOT%_sysconfdir/vdr/plugins
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/skinenigmang

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable skinenigmang >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable skinenigmang >/dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README*
%_sysconfdir/vdr/themes
%_sysconfdir/vdr/plugins/skinenigmang
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%_libdir/vdr/locale
%config(noreplace) %{_sysconfdir}/runvdr/skinenigmang

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.6-11
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.0.6-10
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.6-9
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.6-8
- corrected name in runvdr file
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.6-7
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.6-6
- rebuild against vdr-1.6.0-3
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.0.6-5
- rebuild against VDR 1.6.0
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.0.6-4
- switching to real 0.0.6, added fonts
* Mon Jan 28 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.6-3rc
- rebuild against vdr 1.5.13-9
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.6-2rc
- added locales
* Sun Jan 20 2008 Christian Metzen <metzench@ccux-linux.de> 0.0.6-1rc
- vdr 1.5.13, moved to cvs snapshot
* Sun Aug 26 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.5-1
- Update to final 0.0.5, temp. disabled ImageMagick
* Tue Jun 26 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.5rc3-1
- Version update
* Sat Jun 16 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.5rc-2
- corrected description
* Fri Jun 15 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.5rc-1
- Initial release